<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginBottom="20dp">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:orientation="vertical">

            <RelativeLayout
                android:id="@+id/zidongqingxi"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:background="@mipmap/yy_l1" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_marginTop="20dp"
            android:orientation="vertical">

            <RelativeLayout
                android:id="@+id/chushihua"
                android:layout_width="120dp"
                android:layout_height="40dp"
                android:layout_alignParentBottom="true"
                android:background="@mipmap/yy_lv1" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="0.65">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:layout_centerHorizontal="true">

                    <RelativeLayout
                        android:layout_width="90dp"
                        android:layout_height="match_parent">

                        <TextView
                            android:id="@+id/chaoguo_wendu"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:shadowColor="#65000000"
                            android:text="123°C"
                            android:textColor="#C6C6C3"
                            android:textSize="30dp"
                            android:textStyle="bold" />
                    </RelativeLayout>
                    <!--                    android:shadowDx="0.0"-->
                    <!--                    android:shadowDy="15.0"-->
                    <!--                    android:shadowRadius="7.0"-->
                    <com.bonait.bnframework.modules.home.fragment.mode.newhuoli_control
                        android:id="@+id/huoli"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_weight="1" />
                </LinearLayout>
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_margin="20dp"
                android:layout_weight="2">

                <ImageView
                    android:id="@+id/device_image"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_marginTop="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_10"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:antialias="true"
                    android:scaleType="fitXY"
                    android:src="@mipmap/device1" />

                <!-- 温度 -->
                <!--                <LinearLayout-->
                <!--                    android:layout_width="wrap_content"-->
                <!--                    android:layout_height="wrap_content"-->
                <!--                    android:layout_marginLeft="20dp"-->
                <!--                    android:layout_marginTop="20dp"-->
                <!--                    android:orientation="vertical">-->

                <!--                    <TextView-->
                <!--                        android:id="@+id/chaoguo_wendu"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:shadowColor="#65000000"-->
                <!--                        android:shadowDx="0.0"-->
                <!--                        android:shadowDy="15.0"-->
                <!--                        android:shadowRadius="7.0"-->
                <!--                        android:text="39°C"-->
                <!--                        android:textColor="#770B1A"-->
                <!--                        android:textSize="60dp"-->
                <!--                        android:textStyle="bold" />-->

                <!--                    <TextView-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:shadowColor="#65000000"-->
                <!--                        android:shadowDx="0.0"-->
                <!--                        android:shadowDy="10.0"-->
                <!--                        android:shadowRadius="3.0"-->
                <!--                        android:text="锅底温度"-->
                <!--                        android:textColor="#770B1A"-->
                <!--                        android:textSize="26dp" />-->
                <!--                </LinearLayout>-->

                <!-- 翻炒速度 -->
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="50dp"
                    android:layout_marginTop="20dp"
                    android:orientation="vertical">

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                        android:id="@+id/fanchaoshudu"
                        android:layout_width="240dp"
                        android:layout_height="60dp"
                        android:contentDescription="true"
                        android:tag="翻炒速度-按钮"
                        app:imagesrc_ks="@mipmap/sb1"
                        app:imagesrc_qt="@mipmap/sb2"
                        app:imagesrc_tz="@mipmap/sb3" />

                    <LinearLayout
                        android:id="@+id/fanchaoshudu_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:visibility="gone">

                        <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                            android:id="@+id/fanchaoshudu_k"
                            android:layout_width="60dp"
                            android:layout_height="50dp"
                            android:contentDescription="true"
                            android:tag="快"
                            app:imagesrc_ks="@mipmap/sb1"
                            app:imagesrc_qt="@mipmap/sb2"
                            app:imagesrc_tz="@mipmap/sb3" />

                        <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                            android:id="@+id/fanchaoshudu_z"
                            android:layout_width="60dp"
                            android:layout_height="50dp"
                            android:contentDescription="true"
                            android:tag="中"
                            app:imagesrc_ks="@mipmap/sb1"
                            app:imagesrc_qt="@mipmap/sb2"
                            app:imagesrc_tz="@mipmap/sb3" />

                        <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                            android:id="@+id/fanchaoshudu_m"
                            android:layout_width="60dp"
                            android:layout_height="50dp"
                            android:contentDescription="true"
                            android:tag="慢"
                            app:imagesrc_ks="@mipmap/sb1"
                            app:imagesrc_qt="@mipmap/sb2"
                            app:imagesrc_tz="@mipmap/sb3" />

                        <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                            android:id="@+id/fanchaoshudu_t"
                            android:layout_width="60dp"
                            android:layout_height="50dp"
                            android:contentDescription="true"
                            android:tag="停"
                            app:imagesrc_ks="@mipmap/sb1"
                            app:imagesrc_qt="@mipmap/sb2"
                            app:imagesrc_tz="@mipmap/sb3" />
                    </LinearLayout>
                </LinearLayout>

                <!-- 火力 -->
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentBottom="true"
                    android:layout_marginRight="180dp"
                    android:layout_marginBottom="45dp"
                    android:orientation="vertical">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="20dp">
                        <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                            android:id="@+id/chuchan"
                            android:layout_width="160dp"
                            android:layout_height="120dp"
                            android:layout_alignParentRight="true"
                            android:contentDescription="true"
                            android:tag="出餐-按钮"
                            app:imagesrc_ks="@mipmap/sb1"
                            app:imagesrc_qt="@mipmap/sb2"
                            app:imagesrc_tz="@mipmap/sb3" />
                    </RelativeLayout>
                </LinearLayout>

                <!-- 投料 -->
                <LinearLayout
                    android:id="@+id/touliao_k"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="18dp"
                    android:layout_marginTop="155dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="83dp"
                        android:layout_height="wrap_content"
                        android:text="④"
                        android:textAlignment="center"
                        android:textColor="@color/white"
                        android:textSize="24dp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="83dp"
                        android:layout_height="wrap_content"
                        android:text="③"
                        android:textAlignment="center"
                        android:textColor="@color/white"
                        android:textSize="24dp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="45dp"
                        android:layout_height="wrap_content"
                        android:text="②"
                        android:textAlignment="center"
                        android:textColor="@color/white"
                        android:textSize="24dp"
                        android:textStyle="bold" />

                    <TextView
                        android:layout_width="45dp"
                        android:layout_height="wrap_content"
                        android:text="①"
                        android:textAlignment="center"
                        android:textColor="@color/white"
                        android:textSize="24dp"
                        android:textStyle="bold" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/touliao_m"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="18dp"
                    android:layout_marginTop="190dp"
                    android:orientation="horizontal">

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                        android:id="@+id/touliao4"
                        android:layout_width="83dp"
                        android:layout_height="80dp"
                        android:contentDescription="true"
                        android:tag="投料-按钮"
                        app:imagesrc_ks="@mipmap/sb1"
                        app:imagesrc_qt="@mipmap/sb2"
                        app:imagesrc_tz="@mipmap/sb3" />

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                        android:id="@+id/touliao3"
                        android:layout_width="83dp"
                        android:layout_height="80dp"
                        android:contentDescription="true"
                        android:tag="投料-按钮"
                        app:imagesrc_ks="@mipmap/sb1"
                        app:imagesrc_qt="@mipmap/sb2"
                        app:imagesrc_tz="@mipmap/sb3" />

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                        android:id="@+id/touliao2"
                        android:layout_width="45dp"
                        android:layout_height="80dp"
                        android:contentDescription="true"
                        android:tag="投料-按钮"
                        app:imagesrc_ks="@mipmap/sb1"
                        app:imagesrc_qt="@mipmap/sb2"
                        app:imagesrc_tz="@mipmap/sb3" />

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                        android:id="@+id/touliao1"
                        android:layout_width="45dp"
                        android:layout_height="80dp"
                        android:contentDescription="true"
                        android:tag="投料-按钮"
                        app:imagesrc_ks="@mipmap/sb1"
                        app:imagesrc_qt="@mipmap/sb2"
                        app:imagesrc_tz="@mipmap/sb3" />
                </LinearLayout>

                <!-- 水 -->
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="30dp"
                    android:orientation="vertical">

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                        android:id="@+id/xiguoshui"
                        android:layout_width="100dp"
                        android:layout_height="60dp"
                        android:contentDescription="true"
                        android:tag="洗锅水枪-按钮"
                        app:imagesrc_ks="@mipmap/sb1"
                        app:imagesrc_qt="@mipmap/sb2"
                        app:imagesrc_tz="@mipmap/sb3" />

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                        android:id="@+id/chushui"
                        android:layout_width="100dp"
                        android:layout_height="60dp"
                        android:contentDescription="true"
                        android:tag="锅内加水-按钮"
                        app:imagesrc_ks="@mipmap/sb1"
                        app:imagesrc_qt="@mipmap/sb2"
                        app:imagesrc_tz="@mipmap/sb3" />
                </LinearLayout>

                <!-- 调料 -->
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentBottom="true"
                    android:layout_marginRight="45dp"
                    android:layout_marginBottom="55dp"
                    android:orientation="vertical">

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                        android:id="@+id/yeliao1"
                        android:layout_width="85dp"
                        android:layout_height="70dp"
                        android:contentDescription="true"
                        android:tag="液料-按钮"
                        app:imagesrc_ks="@mipmap/sb1"
                        app:imagesrc_qt="@mipmap/sb2"
                        app:imagesrc_tz="@mipmap/sb3" />

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                        android:id="@+id/yeliao2"
                        android:layout_width="85dp"
                        android:layout_height="70dp"
                        android:contentDescription="true"
                        android:tag="液料-按钮"
                        app:imagesrc_ks="@mipmap/sb1"
                        app:imagesrc_qt="@mipmap/sb2"
                        app:imagesrc_tz="@mipmap/sb3" />

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                        android:id="@+id/yeliao3"
                        android:layout_width="85dp"
                        android:layout_height="70dp"
                        android:contentDescription="true"
                        android:tag="液料-按钮"
                        app:imagesrc_ks="@mipmap/sb1"
                        app:imagesrc_qt="@mipmap/sb2"
                        app:imagesrc_tz="@mipmap/sb3" />
                </LinearLayout>

                <!-- 锅口朝向 -->
                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginTop="120dp"
                    android:layout_marginRight="120dp"
                    android:orientation="vertical">

                    <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                        android:id="@+id/guokoucaoxiang"
                        android:layout_width="100dp"
                        android:layout_height="80dp"
                        android:contentDescription="true"
                        android:tag="锅口朝向-按钮"
                        app:imagesrc_ks="@mipmap/sb1"
                        app:imagesrc_qt="@mipmap/sb2"
                        app:imagesrc_tz="@mipmap/sb3" />

                    <LinearLayout
                        android:id="@+id/guokoucaoxiang_1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:visibility="gone">

                        <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                            android:id="@+id/guokoucaoxiang_cc"
                            android:layout_width="100dp"
                            android:layout_height="60dp"
                            android:contentDescription="true"
                            android:tag="炒菜位-按钮"
                            app:imagesrc_ks="@mipmap/sb1"
                            app:imagesrc_qt="@mipmap/sb2"
                            app:imagesrc_tz="@mipmap/sb3" />

                        <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                            android:id="@+id/guokoucaoxiang_cl"
                            android:layout_width="100dp"
                            android:layout_height="60dp"
                            android:contentDescription="true"
                            android:tag="抽料位-按钮"
                            app:imagesrc_ks="@mipmap/sb1"
                            app:imagesrc_qt="@mipmap/sb2"
                            app:imagesrc_tz="@mipmap/sb3" />

                        <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                            android:id="@+id/guokoucaoxiang_dc"
                            android:layout_width="100dp"
                            android:layout_height="60dp"
                            android:contentDescription="true"
                            android:tag="倒菜位-按钮"
                            app:imagesrc_ks="@mipmap/sb1"
                            app:imagesrc_qt="@mipmap/sb2"
                            app:imagesrc_tz="@mipmap/sb3" />

                        <com.bonait.bnframework.modules.home.fragment.mode.imagebuttom3
                            android:id="@+id/guokoucaoxiang_qx"
                            android:layout_width="100dp"
                            android:layout_height="60dp"
                            android:contentDescription="true"
                            android:tag="清洗位-按钮"
                            app:imagesrc_ks="@mipmap/sb1"
                            app:imagesrc_qt="@mipmap/sb2"
                            app:imagesrc_tz="@mipmap/sb3" />
                    </LinearLayout>

                </LinearLayout>


            </RelativeLayout>
        </LinearLayout>

        <!-- plc状态 -->
        <ImageView
            android:id="@+id/plcstatus1"
            android:layout_width="100dp"
            android:layout_height="35dp"
            android:layout_alignParentRight="true"
            android:layout_marginTop="70dp"
            android:layout_marginRight="0dp"
            android:src="@mipmap/plc2" />
    </RelativeLayout>
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>